Subject: An Introduction to Programming in Emacs Lisp (eintr) - Texinfo documentation error

From: Lata BL <[email-masked]>
Date: Mon, 14 Oct 2019 12:11:29 +0000 (UTC)

Package: emacs

I am reading the Introduction to Programming in Emacs Lisp (eintr) documentation in Emacs 26.3 in Info mode

I have encountered 2 possible errors so far:-
Error 1) I am confused as to whether there are 3 or 4 "special forms" in chapter 3.
Is 'defun' treated as a macro or a special form or both of those?

3.7 The ‘if’ Special Form
=========================
A third special form, in addition to ‘defun’ and ‘let’, is the
conditional ‘if’.

<<< The number of special forms is later contradicted in 3.10 as follows >>>

3.10 ‘save-excursion’
=====================
The ‘save-excursion’ function is the third and final special form that
we will discuss in this chapter.

Error 2) Possible extra closing parenthesis prevents evaluation with C-x C-e
3.7.1 The ‘type-of-animal’ Function in Detail
---------------------------------------------
...
  In the ‘type-of-animal’ function, the code for the ‘if’ looks like
this:

    (if (equal characteristic "fierce")
        (message "It is a tiger!")))

thank you, Mark Bennett-Leaver